Package ghidra.app.util.bin.format.pe

# Class MachineConstants

java.lang.Object
ghidra.app.util.bin.format.pe.MachineConstants

public class MachineConstants extends Object
PE machine ID constants defined by standard header file 'ntimage.h'

See Also:
  - Image File Machine Constants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `IMAGE_FILE_MACHINE_ALPHA`
  `static final short`
  `IMAGE_FILE_MACHINE_ALPHA64`
  `static final short`
  `IMAGE_FILE_MACHINE_AM33`
  `static final short`
  `IMAGE_FILE_MACHINE_AMD64`
  `static final short`
  `IMAGE_FILE_MACHINE_ARM`
  `static final short`
  `IMAGE_FILE_MACHINE_ARM64`
  `static final short`
  `IMAGE_FILE_MACHINE_ARMNT`
  `static final short`
  `IMAGE_FILE_MACHINE_AXP64`
  `static final short`
  `IMAGE_FILE_MACHINE_CEE`
  `static final short`
  `IMAGE_FILE_MACHINE_CEF`
  `static final short`
  `IMAGE_FILE_MACHINE_EBC`
  `static final short`
  `IMAGE_FILE_MACHINE_I386`
  `static final short`
  `IMAGE_FILE_MACHINE_IA64`
  `static final short`
  `IMAGE_FILE_MACHINE_M32R`
  `static final short`
  `IMAGE_FILE_MACHINE_MIPS16`
  `static final short`
  `IMAGE_FILE_MACHINE_MIPSFPU`
  `static final short`
  `IMAGE_FILE_MACHINE_MIPSFPU16`
  `static final short`
  `IMAGE_FILE_MACHINE_POWERPC`
  `static final short`
  `IMAGE_FILE_MACHINE_POWERPCFP`
  `static final short`
  `IMAGE_FILE_MACHINE_R10000`
  `static final short`
  `IMAGE_FILE_MACHINE_R3000`
  `static final short`
  `IMAGE_FILE_MACHINE_R4000`
  `static final short`
  `IMAGE_FILE_MACHINE_SH3`
  `static final short`
  `IMAGE_FILE_MACHINE_SH3DSP`
  `static final short`
  `IMAGE_FILE_MACHINE_SH3E`
  `static final short`
  `IMAGE_FILE_MACHINE_SH4`
  `static final short`
  `IMAGE_FILE_MACHINE_SH5`
  `static final short`
  `IMAGE_FILE_MACHINE_THUMB`
  `static final short`
  `IMAGE_FILE_MACHINE_TRICORE`
  `static final short`
  `IMAGE_FILE_MACHINE_UNKNOWN`
  `static final short`
  `IMAGE_FILE_MACHINE_WCEMIPSV2`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MachineConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IMAGE_FILE_MACHINE_UNKNOWN

    public static final short IMAGE_FILE_MACHINE_UNKNOWN
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_I386

    public static final short IMAGE_FILE_MACHINE_I386
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_R3000

    public static final short IMAGE_FILE_MACHINE_R3000
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_R4000

    public static final short IMAGE_FILE_MACHINE_R4000
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_R10000

    public static final short IMAGE_FILE_MACHINE_R10000
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_WCEMIPSV2

    public static final short IMAGE_FILE_MACHINE_WCEMIPSV2
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_ALPHA

    public static final short IMAGE_FILE_MACHINE_ALPHA
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_SH3

    public static final short IMAGE_FILE_MACHINE_SH3
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_SH3DSP

    public static final short IMAGE_FILE_MACHINE_SH3DSP
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_SH3E

    public static final short IMAGE_FILE_MACHINE_SH3E
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_SH4

    public static final short IMAGE_FILE_MACHINE_SH4
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_SH5

    public static final short IMAGE_FILE_MACHINE_SH5
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_ARM

    public static final short IMAGE_FILE_MACHINE_ARM
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_THUMB

    public static final short IMAGE_FILE_MACHINE_THUMB
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_ARMNT

    public static final short IMAGE_FILE_MACHINE_ARMNT
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_AM33

    public static final short IMAGE_FILE_MACHINE_AM33
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_POWERPC

    public static final short IMAGE_FILE_MACHINE_POWERPC
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_POWERPCFP

    public static final short IMAGE_FILE_MACHINE_POWERPCFP
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_IA64

    public static final short IMAGE_FILE_MACHINE_IA64
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_MIPS16

    public static final short IMAGE_FILE_MACHINE_MIPS16
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_ALPHA64

    public static final short IMAGE_FILE_MACHINE_ALPHA64
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_MIPSFPU

    public static final short IMAGE_FILE_MACHINE_MIPSFPU
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_MIPSFPU16

    public static final short IMAGE_FILE_MACHINE_MIPSFPU16
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_TRICORE

    public static final short IMAGE_FILE_MACHINE_TRICORE
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_CEF

    public static final short IMAGE_FILE_MACHINE_CEF
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_EBC

    public static final short IMAGE_FILE_MACHINE_EBC
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_AMD64

    public static final short IMAGE_FILE_MACHINE_AMD64
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_M32R

    public static final short IMAGE_FILE_MACHINE_M32R
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_ARM64

    public static final short IMAGE_FILE_MACHINE_ARM64
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_CEE

    public static final short IMAGE_FILE_MACHINE_CEE
    See Also:
      - Constant Field Values

  - ### IMAGE_FILE_MACHINE_AXP64

    public static final short IMAGE_FILE_MACHINE_AXP64
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MachineConstants

    public MachineConstants()